"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocialLinksService = void 0;
class SocialLinksService {
    constructor(httpRequest) {
        this.httpRequest = httpRequest;
    }
    /**
     * Retrieves a member's public social links
     * @returns any Success
     * @throws ApiError
     */
    memberSocialLinkRead({ serverId, userId, socialLinkType, }) {
        return this.httpRequest.request({
            method: "GET",
            url: "/servers/{serverId}/members/{userId}/social-links/{socialLinkType}",
            path: {
                serverId: serverId,
                userId: userId,
                socialLinkType: socialLinkType,
            },
        });
    }
}
exports.SocialLinksService = SocialLinksService;
//# sourceMappingURL=SocialLinksService.js.map