"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UrlSignatureService = void 0;
class UrlSignatureService {
    constructor(httpRequest) {
        this.httpRequest = httpRequest;
    }
    /**
     * Create URL signatures
     * User-uploaded content hosted on our CDN will no longer be accessible directly after June 30th, 2024. To access the content, you will need to generate a valid signature via the `/url-signatures` endpoint, which is valid for 5 minutes, and download the content to store the data. Each asset comes with a daily request limit of one, so make sure to save the assets accordingly.
     * @returns any Success
     * @throws ApiError
     */
    urlSignatureCreateMany({ requestBody, }) {
        return this.httpRequest.request({
            method: "POST",
            url: "/url-signatures",
            body: requestBody,
            mediaType: "application/json",
        });
    }
}
exports.UrlSignatureService = UrlSignatureService;
//# sourceMappingURL=UrlSignatureService.js.map