"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Heartbeater {
    constructor(ws, heartbeatIntervalMs) {
        this.ws = ws;
        this.heartbeatIntervalMs = heartbeatIntervalMs;
        this.heartbeatInterval = setInterval(() => {
            var _a;
            this.ws._debug("Sending heartbeat to Guilded.");
            this.ws.lastPingedAt = Date.now();
            (_a = this.ws.socket) === null || _a === void 0 ? void 0 : _a.ping();
        }, this.heartbeatIntervalMs);
    }
    destroy() {
        clearInterval(this.heartbeatInterval);
        this.ws.lastPingedAt = -1;
    }
}
exports.default = Heartbeater;
//# sourceMappingURL=Heartbeater.js.map