export declare enum WSOpCodes {
    SUCCESS = 0,
    WELCOME = 1,
    RESUME = 2,
    ERROR = 8,
    PING = 9,
    PONG = 10
}
export declare const WebSocketEvents: {
    readonly CalendarEventCreated: "CalendarEventCreated";
    readonly CalendarEventUpdated: "CalendarEventUpdated";
    readonly CalendarEventDeleted: "CalendarEventDeleted";
    readonly CalendarEventRsvpUpdated: "CalendarEventRsvpUpdated";
    readonly CalendarEventRsvpManyUpdated: "CalendarEventRsvpManyUpdated";
    readonly CalendarEventRsvpDeleted: "CalendarEventRsvpDeleted";
    readonly ChatMessageCreated: "ChatMessageCreated";
    readonly ChatMessageUpdated: "ChatMessageUpdated";
    readonly ChatMessageDeleted: "ChatMessageDeleted";
    readonly ServerMemberJoined: "ServerMemberJoined";
    readonly ServerMemberRemoved: "ServerMemberRemoved";
    readonly ServerMemberUpdated: "ServerMemberUpdated";
    readonly ServerMemberBanned: "ServerMemberBanned";
    readonly ServerMemberUnbanned: "ServerMemberUnbanned";
    readonly ServerMemberSocialLinkCreated: "ServerMemberSocialLinkCreated";
    readonly ServerMemberSocialLinkUpdated: "ServerMemberSocialLinkUpdated";
    readonly ServerMemberSocialLinkDeleted: "ServerMemberSocialLinkDeleted";
    readonly BotServerMembershipCreated: "BotServerMembershipCreated";
    readonly BotServerMembershipDeleted: "BotServerMembershipDeleted";
    readonly ServerRolesUpdated: "ServerRolesUpdated";
    readonly ServerWebhookCreated: "ServerWebhookCreated";
    readonly ServerWebhookUpdated: "ServerWebhookUpdated";
    readonly ListItemCompleted: "ListItemCompleted";
    readonly ListItemUncompleted: "ListItemUncompleted";
    readonly ListItemCreated: "ListItemCreated";
    readonly ListItemUpdated: "ListItemUpdated";
    readonly ListItemDeleted: "ListItemDeleted";
    readonly ServerChannelCreated: "ServerChannelCreated";
    readonly ServerChannelUpdated: "ServerChannelUpdated";
    readonly ServerChannelDeleted: "ServerChannelDeleted";
    readonly DocCreated: "DocCreated";
    readonly DocUpdated: "DocUpdated";
    readonly DocDeleted: "DocDeleted";
    readonly ChannelMessageReactionCreated: "ChannelMessageReactionCreated";
    readonly ChannelMessageReactionDeleted: "ChannelMessageReactionDeleted";
    readonly ForumTopicCreated: "ForumTopicCreated";
    readonly ForumTopicUpdated: "ForumTopicUpdated";
    readonly ForumTopicDeleted: "ForumTopicDeleted";
    readonly ForumTopicPinned: "ForumTopicPinned";
    readonly ForumTopicUnpinned: "ForumTopicUnpinned";
    readonly ForumTopicLocked: "ForumTopicLocked";
    readonly ForumTopicUnlocked: "ForumTopicUnlocked";
};
export type WSEvent = typeof WebSocketEvents;
export type WSEventNames = keyof WSEvent;
export type SkeletonWSPayload = {
    d: unknown;
    op: WSOpCodes;
    s?: string;
    t: keyof WSEvent;
};
//# sourceMappingURL=events.d.ts.map