import type { BaseHttpRequest } from "../core/BaseHttpRequest";
import type { CancelablePromise } from "../core/CancelablePromise";
export declare class GroupMembershipService {
    readonly httpRequest: BaseHttpRequest;
    constructor(httpRequest: BaseHttpRequest);
    /**
     * Add member to group
     * @returns void
     * @throws ApiError
     */
    groupMembershipCreate({ groupId, userId, }: {
        /**
         * Group ID to add the member to
         */
        groupId: string;
        /**
         * Member ID to add to the group
         */
        userId: string | "@me";
    }): CancelablePromise<void>;
    /**
     * Remove member from group
     * @returns void
     * @throws ApiError
     */
    groupMembershipDelete({ groupId, userId, }: {
        /**
         * Group ID to remove the member from
         */
        groupId: string;
        /**
         * Member ID to remove from the group
         */
        userId: string | "@me";
    }): CancelablePromise<void>;
}
//# sourceMappingURL=GroupMembershipService.d.ts.map