import type { BaseHttpRequest } from "../core/BaseHttpRequest";
import type { CancelablePromise } from "../core/CancelablePromise";
import type { ServerSubscriptionTier } from "../models/ServerSubscriptionTier";
export declare class ServerSubscriptionService {
    readonly httpRequest: BaseHttpRequest;
    constructor(httpRequest: BaseHttpRequest);
    /**
     * Get a server subscription tier
     * @returns any Success
     * @throws ApiError
     */
    serverSubscriptionTierRead({ serverId, serverSubscriptionTierType, }: {
        serverId: string;
        serverSubscriptionTierType: "Gold" | "Silver" | "Copper";
    }): CancelablePromise<{
        serverSubscriptionTier: ServerSubscriptionTier;
    }>;
    /**
     * Get server subscription tiers
     * @returns any Success
     * @throws ApiError
     */
    serverSubscriptionTierReadMany({ serverId, }: {
        serverId: string;
    }): CancelablePromise<{
        serverSubscriptionTiers: Array<ServerSubscriptionTier>;
    }>;
}
//# sourceMappingURL=ServerSubscriptionService.d.ts.map