import type { BaseHttpRequest } from "../core/BaseHttpRequest";
import type { CancelablePromise } from "../core/CancelablePromise";
import type { SocialLink } from "../models/SocialLink";
export declare class SocialLinksService {
    readonly httpRequest: BaseHttpRequest;
    constructor(httpRequest: BaseHttpRequest);
    /**
     * Retrieves a member's public social links
     * @returns any Success
     * @throws ApiError
     */
    memberSocialLinkRead({ serverId, userId, socialLinkType, }: {
        serverId: string;
        userId: string | "@me";
        /**
         * The type of social link to retrieve
         */
        socialLinkType: "twitch" | "bnet" | "psn" | "xbox" | "steam" | "origin" | "youtube" | "twitter" | "facebook" | "switch" | "patreon" | "roblox" | "epic";
    }): CancelablePromise<{
        socialLink: SocialLink;
    }>;
}
//# sourceMappingURL=SocialLinksService.d.ts.map