import type { BaseHttpRequest } from "../core/BaseHttpRequest";
import type { CancelablePromise } from "../core/CancelablePromise";
import type { Server } from "../models/Server";
import type { User } from "../models/User";
export declare class UsersService {
    readonly httpRequest: BaseHttpRequest;
    constructor(httpRequest: BaseHttpRequest);
    /**
     * Get a user
     * **Note** - at this time, you can only retrieve your own user
     * @returns any Success
     * @throws ApiError
     */
    userRead({ userId, }: {
        userId: string | "@me";
    }): CancelablePromise<{
        user: User;
    }>;
    /**
     * Get a users servers
     * **Note** - at this time, you can only retrieve your own servers
     * @returns any Success
     * @throws ApiError
     */
    userServerReadMany({ userId, }: {
        userId: string | "@me";
    }): CancelablePromise<{
        servers: Array<Server>;
    }>;
}
//# sourceMappingURL=UsersService.d.ts.map