import type { SocialLinkPayload } from "../../generated/router";
export declare const ROUTES: {
    readonly channels: () => string;
    readonly channel: (channelId: string) => `/channels/${string}`;
    readonly channelMessages: (channelId: string) => `/channels/${string}/messages`;
    readonly channelMessage: (channelId: string, messageId: string) => `/channels/${string}/messages/${string}`;
    readonly calendarEvents: (channelId: string) => `/channels/${string}/events`;
    readonly calendarEvent: (channelId: string, calendarEventId: number) => `/channels/${string}/events/${number}`;
    readonly calendarEventRsvps: (channelId: string, calendarEventId: number) => `/channels/${string}/events/${number}/rsvps`;
    readonly calendarEventRsvp: (channelId: string, calendarEventId: number, userId: string) => `/channels/${string}/events/${number}/rsvps/${string}`;
    readonly calendarEventRsvpsMany: (channelId: string, calendarEventId: number) => `/channels/${string}/events/${number}/rsvps`;
    readonly server: (serverId: string) => `/servers/${string}`;
    readonly memberNickname: (serverId: string, userId: string) => `/servers/${string}/members/${string}/nickname`;
    readonly memberRoles: (serverId: string, userId: string) => `/servers/${string}/members/${string}/roles`;
    readonly member: (serverId: string, userId: string) => `/servers/${string}/members/${string}`;
    readonly members: (serverId: string) => `/servers/${string}/members`;
    readonly memberBan: (serverId: string, userId: string) => `/servers/${string}/bans/${string}`;
    readonly memberBans: (serverId: string) => `/servers/${string}/bans`;
    readonly user: (userId: string) => `/users/${string}`;
    readonly me: () => "/users/@me";
    readonly forumTopics: (channelId: string) => `/channels/${string}/topics`;
    readonly forumTopic: (channelId: string, forumTopicId: string) => `/channels/${string}/topics/${string}`;
    readonly forumTopicPin: (channelId: string, forumTopicId: string) => `/channels/${string}/topics/${string}/pin`;
    readonly forumTopicLock: (channelId: string, forumTopicId: string) => `/channels/${string}/topics/${string}/lock`;
    readonly listItems: (channelId: string) => `/channels/${string}/items`;
    readonly listItem: (channelId: string, itemId: string) => `/channels/${string}/items/${string}`;
    readonly listItemComplete: (channelId: string, itemId: string) => `/channels/${string}/items/${string}/complete`;
    readonly channelDocs: (channelId: string) => `/channels/${string}/docs`;
    readonly channelDoc: (channelId: string, docId: number) => `/channels/${string}/docs/${number}`;
    readonly channelReaction: (channelId: string, contentId: string, emoteId: number) => `/channels/${string}/content/${string}/emotes/${number}`;
    readonly memberXP: (serverId: string, userId: string) => `/servers/${string}/members/${string}/xp`;
    readonly roleXP: (serverId: string, roleId: string) => `/servers/${string}/roles/${string}/xp`;
    readonly memberSocialLinks: (serverId: string, userId: string, type: SocialLinkPayload["type"]) => `/servers/${string}/members/${string}/social-links/twitch` | `/servers/${string}/members/${string}/social-links/bnet` | `/servers/${string}/members/${string}/social-links/psn` | `/servers/${string}/members/${string}/social-links/xbox` | `/servers/${string}/members/${string}/social-links/steam` | `/servers/${string}/members/${string}/social-links/origin` | `/servers/${string}/members/${string}/social-links/youtube` | `/servers/${string}/members/${string}/social-links/twitter` | `/servers/${string}/members/${string}/social-links/facebook` | `/servers/${string}/members/${string}/social-links/switch` | `/servers/${string}/members/${string}/social-links/patreon` | `/servers/${string}/members/${string}/social-links/roblox` | `/servers/${string}/members/${string}/social-links/epic`;
    readonly groupMember: (groupId: string, userId: string) => `/groups/${string}/members/${string}`;
    readonly memberRole: (serverId: string, memberId: string, roleId: number) => `/servers/${string}/members/${string}/roles/${number}`;
    readonly serverWebhooks: (serverId: string) => string;
    readonly serverWebhook: (serverId: string, webhookId: string) => string;
};
export declare const DOMAINS: {
    readonly AWS_CDN: "https://s3-us-west-2.amazonaws.com/www.guilded.gg/";
    readonly BASE_DOMAIN: "www.guilded.gg";
    readonly API_DOMAIN: "api.guilded.gg";
    readonly CDN: "img.guildedcdn.com";
    readonly IMAGE_CDN_DOMAIN: "img.guildedcdn.com";
    readonly MEDIA_DOMAIN: "media.guilded.gg";
};
//# sourceMappingURL=routes.d.ts.map