import type { APIEmbed } from "../../generated/api-typings";
export declare class WebhookEmbed {
    title: string | null;
    description: string | null;
    url: string | null;
    timestamp: number | null;
    timestampString: string | null;
    color: number | null;
    footer: {
        iconURL: string | null;
        proxyIconURL: string | null;
        text: string;
    } | null;
    image: APIWebhookEmbedMediaData | null;
    thumbnail: APIWebhookEmbedMediaData | null;
    video: APIWebhookEmbedMediaData | null;
    provider: {
        name: string | null;
        url: string | null;
    } | null;
    author: {
        iconURL: string | null;
        name: string | null;
        proxyIconURL: string | null;
        url: string | null;
    } | null;
    fields: {
        inline: boolean | null;
        name: string;
        value: string;
    }[];
    constructor(data?: Partial<APIEmbed>);
    update(data: Partial<APIEmbed>): void;
    setTitle(title?: string | null): this;
    setDescription(description?: string | null): this;
    setURL(url?: string | null): this;
    setTimestamp(timestamp?: Date | number | string | null): this;
    setColor(color?: number | string | [number, number, number] | null): this;
    setFooter(text?: string, iconURL?: string | null, proxyIconURL?: string | null): this;
    setImage(url?: string, height?: string | null, width?: string | null, proxyURL?: string | null): this;
    setThumbnail(url?: string, height?: string | null, width?: string | null, proxyURL?: string | null): this;
    setVideo(url?: string, height?: string | null, width?: string | null, proxyURL?: string | null): this;
    setProvider(name?: string | null, url?: string | null): this;
    setAuthor(name?: string, iconURL?: string | null, url?: string | null, proxyIconURL?: string | null): this;
    addFields(fields: {
        inline?: boolean;
        name: string;
        value: string;
    }[]): this;
    addField(name: string, value: string, inline?: boolean): this;
    clearFields(): this;
    toJSON(): APIEmbed;
}
export type APIWebhookEmbedMediaData = {
    height: string | null;
    proxyURL: string | null;
    url: string;
    width: string | null;
};
//# sourceMappingURL=WebhookEmbed.d.ts.map